import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTLFunctionStitchingNode } from "./MTLFunctionStitchingNode.js";
export declare class _MTLFunctionStitchingInputNode extends _NSObject {
    static alloc(): _MTLFunctionStitchingInputNode;
    static new(): _MTLFunctionStitchingInputNode;
    init(): _MTLFunctionStitchingInputNode;
    initWithArgumentIndex$(argument: number): _MTLFunctionStitchingInputNode;
    argumentIndex(): number;
    setArgumentIndex$(value: number): void;
}
export interface _MTLFunctionStitchingInputNode extends _MTLFunctionStitchingNode {
}
